GetBusy REST API
Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.
GetBusy is a new and better way to work with your team and clients.Team chat meets client communication, win more business with modern relationship management, work prioritization, task delegation, and secure file sharing.
The GetBusy API allows you to access the same functionality as used by our web and mobile apps.
Base URL:
Current API version: v1
Authentication
The GetBusy REST API uses OpenID Connect (OIDC) protocol to authorize calls. OIDC is an open standard that many companies use to provide secure access to protected resources.
You can read more about OIDC here. To start you'll need to contact us to request a client ID and client secret. The exact grant type will depend on the type of client you are building.
All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.
Connections
Retrieves a User Profile for a Connection
GET /api/v1/contacts/person/{contactGuid}/profile
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| contactGuid | path | string(uuid) | true | The Connection uuid |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"first_name",
"last_name",
"email_address",
"account_name",
"account_description",
"about",
"initials",
"avatar",
"bot_version",
"team_role"
],
"type": "object",
"properties": {
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"account_name": {
"type": "string"
},
"account_description": {
"type": "string"
},
"about": {
"type": "string"
},
"initials": {
"type": "string"
},
"avatar": {
"required": [
"default",
"24",
"40",
"56",
"60",
"80",
"120"
],
"type": "object",
"properties": {
"24": {
"type": "string"
},
"40": {
"type": "string"
},
"56": {
"type": "string"
},
"60": {
"type": "string"
},
"80": {
"type": "string"
},
"120": {
"type": "string"
},
"default": {
"type": "string"
}
}
},
"bot_version": {
"format": "int32",
"type": "integer"
},
"team_role": {
"type": "string"
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_UserProfileResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Retrieves the onboarding bot version assigned to the logged in user.
GET /api/v1/onboardingbot/version
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"version"
],
"type": "object",
"properties": {
"version": {
"format": "int32",
"type": "integer"
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_VersionResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Get Connections for user
GET /api/v1/contacts/person
Returns the full list of Connections for the current user
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"required": [
"first_name",
"last_name",
"email_address",
"contact_guid",
"display_name",
"user_guid",
"unread_count",
"active_count",
"total_count_in",
"total_count_out",
"last_activity",
"initials",
"tags",
"props",
"is_team"
],
"type": "object",
"properties": {
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"contact_guid": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"display_name": {
"type": "string"
},
"user_guid": {
"type": "string"
},
"unread_count": {
"format": "int32",
"type": "integer"
},
"active_count": {
"format": "int32",
"type": "integer"
},
"total_count_in": {
"format": "int32",
"type": "integer"
},
"total_count_out": {
"format": "int32",
"type": "integer"
},
"last_activity": {
"format": "date-time",
"type": "string"
},
"initials": {
"type": "string"
},
"avatar": {
"required": [
"default",
"24",
"40",
"56",
"60",
"80",
"120"
],
"type": "object",
"properties": {
"24": {
"type": "string"
},
"40": {
"type": "string"
},
"56": {
"type": "string"
},
"60": {
"type": "string"
},
"80": {
"type": "string"
},
"120": {
"type": "string"
},
"default": {
"type": "string"
}
}
},
"is_bot": {
"type": "boolean"
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"is_team": {
"type": "boolean"
}
}
},
"readOnly": true
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Connections Retrieved | IServiceResponse_PersonContactResponseArray_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Creates a new Connection
POST /api/v1/contacts/person
Body parameter
{
"required": [
"first_name",
"last_name",
"email_address"
],
"type": "object",
"properties": {
"first_name": {
"maxLength": 256,
"minLength": 0,
"type": "string"
},
"last_name": {
"maxLength": 256,
"minLength": 0,
"type": "string"
},
"email_address": {
"type": "string"
}
}
}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | CreatePersonContactRequest | true | The Connection |
Example responses
201 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"first_name",
"last_name",
"email_address",
"contact_guid",
"display_name",
"user_guid",
"unread_count",
"active_count",
"total_count_in",
"total_count_out",
"last_activity",
"initials",
"tags",
"props",
"is_team"
],
"type": "object",
"properties": {
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"contact_guid": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"display_name": {
"type": "string"
},
"user_guid": {
"type": "string"
},
"unread_count": {
"format": "int32",
"type": "integer"
},
"active_count": {
"format": "int32",
"type": "integer"
},
"total_count_in": {
"format": "int32",
"type": "integer"
},
"total_count_out": {
"format": "int32",
"type": "integer"
},
"last_activity": {
"format": "date-time",
"type": "string"
},
"initials": {
"type": "string"
},
"avatar": {
"required": [
"default",
"24",
"40",
"56",
"60",
"80",
"120"
],
"type": "object",
"properties": {
"24": {
"type": "string"
},
"40": {
"type": "string"
},
"56": {
"type": "string"
},
"60": {
"type": "string"
},
"80": {
"type": "string"
},
"120": {
"type": "string"
},
"default": {
"type": "string"
}
}
},
"is_bot": {
"type": "boolean"
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"is_team": {
"type": "boolean"
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Connection created | IServiceResponse_PersonContactResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Retrieves a specific Connection by Connection uuid
GET /api/v1/contacts/person/{contactGuid}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| contactGuid | path | string(uuid) | true | The contact uuid |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"first_name",
"last_name",
"email_address",
"contact_guid",
"display_name",
"user_guid",
"unread_count",
"active_count",
"total_count_in",
"total_count_out",
"last_activity",
"initials",
"tags",
"props",
"is_team"
],
"type": "object",
"properties": {
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"contact_guid": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"display_name": {
"type": "string"
},
"user_guid": {
"type": "string"
},
"unread_count": {
"format": "int32",
"type": "integer"
},
"active_count": {
"format": "int32",
"type": "integer"
},
"total_count_in": {
"format": "int32",
"type": "integer"
},
"total_count_out": {
"format": "int32",
"type": "integer"
},
"last_activity": {
"format": "date-time",
"type": "string"
},
"initials": {
"type": "string"
},
"avatar": {
"required": [
"default",
"24",
"40",
"56",
"60",
"80",
"120"
],
"type": "object",
"properties": {
"24": {
"type": "string"
},
"40": {
"type": "string"
},
"56": {
"type": "string"
},
"60": {
"type": "string"
},
"80": {
"type": "string"
},
"120": {
"type": "string"
},
"default": {
"type": "string"
}
}
},
"is_bot": {
"type": "boolean"
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"is_team": {
"type": "boolean"
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Contact Retrieved | IServiceResponse_PersonContactResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Documents
Upload a new document.
POST /api/v1/documents
Example responses
201 Response
{
"required": [
"auth",
"channel_data"
],
"type": "object",
"properties": {
"auth": {
"type": "string",
"readOnly": true
},
"channel_data": {
"type": "string",
"readOnly": true
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Created | IAuthenticationData |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Unauthorized | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Download a document
GET /api/v1/documents/{documentId}
Please note, this endpoint is not authorized but requires valid download ticket.
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| documentId | path | string(uuid) | true | The document uuid |
| ticket | query | string | true | A download ticket |
| inline | query | boolean | false | Use inline content-disposition header - otherwise download (defaults to false) |
Example responses
200 Response
{
"required": [
"CanRead",
"CanSeek",
"CanTimeout",
"CanWrite",
"Length",
"Position",
"ReadTimeout",
"WriteTimeout"
],
"type": "object",
"properties": {
"__identity": {
"type": "object"
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | Stream |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Unauthorized | None |
| 500 | Internal Server Error | Internal Server Error | None |
Localization
Get localization resource
GET /api/v1/localization
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"localizations",
"language",
"culture"
],
"type": "object",
"properties": {
"localizations": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"language": {
"type": "string"
},
"culture": {
"type": "string"
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_LocalizationResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
Messages
Updates account profile
PUT /api/v1/accounts/profile
Body parameter
{
"required": [
"account_name",
"account_description"
],
"type": "object",
"properties": {
"account_name": {
"type": "string"
},
"account_description": {
"type": "string"
}
}
}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | AccountProfileRequest | true | none |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"account_guid",
"account_name",
"account_description"
],
"type": "object",
"properties": {
"account_guid": {
"type": "string"
},
"account_name": {
"type": "string"
},
"account_description": {
"type": "string"
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_AccountProfileResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Retrieves statistics for filters
GET /api/v1/messages/filters
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"required": [
"type",
"active_count",
"visible_count",
"has_data"
],
"type": "object",
"properties": {
"type": {
"enum": [
"None",
"MyTasks",
"UpcomingEvents",
"MyQuotes",
"Catchup"
],
"type": "string"
},
"active_count": {
"format": "int32",
"type": "integer"
},
"visible_count": {
"format": "int32",
"type": "integer"
},
"has_data": {
"type": "boolean"
}
}
},
"readOnly": true
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_List_FilterResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Returns order of items in MyTasks
GET /api/v1/messages/filters/order/{viewId}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| viewId | path | string | true | none |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"view_id",
"groups"
],
"type": "object",
"properties": {
"view_id": {
"type": "string"
},
"groups": {
"type": "array",
"items": {
"required": [
"ordered_items"
],
"type": "object",
"properties": {
"group_id": {
"type": "string"
},
"ordered_items": {
"type": "array",
"items": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
}
}
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_OrderResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Update mytasks order
PUT /api/v1/messages/filters/order
Body parameter
{
"required": [
"view_id",
"ordered_items"
],
"type": "object",
"properties": {
"group_id": {
"type": "string"
},
"view_id": {
"type": "string"
},
"ordered_items": {
"type": "array",
"items": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
}
}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | OrderRequest | true | none |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"view_id",
"groups"
],
"type": "object",
"properties": {
"view_id": {
"type": "string"
},
"groups": {
"type": "array",
"items": {
"required": [
"ordered_items"
],
"type": "object",
"properties": {
"group_id": {
"type": "string"
},
"ordered_items": {
"type": "array",
"items": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
}
}
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_OrderResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Get a specific thread by the thread uuid
GET /api/v1/messages/{messageGuid}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| messageGuid | path | string(uuid) | true | The thread uuid |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"id",
"version",
"type",
"title",
"sender",
"recipient",
"participants",
"created",
"last_updated",
"importance",
"comments",
"card_comment",
"has_supportive_info",
"has_action",
"archive",
"cancel",
"is_sender",
"is_recipient",
"stacked_status",
"quick_responses",
"pause",
"question",
"edit",
"tags",
"props",
"attach",
"attachments",
"assignable",
"is_personal"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"type": {
"enum": [
"None",
"Chat",
"Task",
"Quote",
"Event"
],
"type": "string"
},
"title": {
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"recipient": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"participants": {
"type": "array",
"items": {
"required": [
"participant_guid",
"is_sender",
"is_recipient",
"is_assignee",
"display_name",
"first_name",
"last_name",
"email_address",
"avatar",
"initials"
],
"type": "object",
"properties": {
"participant_guid": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"is_assignee": {
"type": "boolean"
},
"display_name": {
"type": "string"
},
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"avatar": {
"type": "string"
},
"initials": {
"type": "string"
}
}
}
},
"created": {
"format": "date-time",
"type": "string"
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"comments": {
"type": "array",
"items": {
"required": [
"comment_id",
"text",
"type",
"created",
"sender",
"is_sender",
"is_target",
"meta"
],
"type": "object",
"properties": {
"comment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"text": {
"type": "string"
},
"type": {
"enum": [
"Chat",
"Complete",
"SuggestComplete",
"Reopen",
"Acknowledge",
"Nudge",
"Accept",
"Decline",
"SelectSlot",
"UpdateSlot",
"Cancel",
"Uncancel",
"Pause",
"Unpause",
"Quick",
"SelectNone",
"Archive",
"Unarchive",
"UpdateAmount",
"Question",
"Addition",
"Answer",
"UndecidedEvent",
"UndecidedQuote",
"UpcomingEvent",
"SeedOfMine",
"SeedOfTheirs",
"AutoUnpause",
"UnacknowledgedTask",
"InactiveTask",
"Attach",
"AttachMany",
"NewTask",
"NewChat",
"NewEvent",
"NewQuote",
"Seed",
"SeenByAssignee",
"Assigned",
"Unassign",
"TaskNotAssigned"
],
"type": "string"
},
"created": {
"format": "date-time",
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"target": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_target": {
"type": "boolean"
},
"meta": {
"required": [
"id",
"version",
"importance",
"stacked_status",
"quick_responses",
"read",
"archive",
"cancel",
"pause",
"last_updated",
"question",
"edit",
"tags",
"props",
"has_supportive_info",
"has_action",
"card_comment"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"read": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"card_comment": "[Circular]"
}
}
}
}
},
"card_comment": {
"required": [
"comment_id",
"text",
"type",
"created",
"sender",
"is_sender",
"is_target",
"meta"
],
"type": "object",
"properties": {
"comment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"text": {
"type": "string"
},
"type": {
"enum": [
"Chat",
"Complete",
"SuggestComplete",
"Reopen",
"Acknowledge",
"Nudge",
"Accept",
"Decline",
"SelectSlot",
"UpdateSlot",
"Cancel",
"Uncancel",
"Pause",
"Unpause",
"Quick",
"SelectNone",
"Archive",
"Unarchive",
"UpdateAmount",
"Question",
"Addition",
"Answer",
"UndecidedEvent",
"UndecidedQuote",
"UpcomingEvent",
"SeedOfMine",
"SeedOfTheirs",
"AutoUnpause",
"UnacknowledgedTask",
"InactiveTask",
"Attach",
"AttachMany",
"NewTask",
"NewChat",
"NewEvent",
"NewQuote",
"Seed",
"SeenByAssignee",
"Assigned",
"Unassign",
"TaskNotAssigned"
],
"type": "string"
},
"created": {
"format": "date-time",
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"target": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_target": {
"type": "boolean"
},
"meta": {
"required": [
"id",
"version",
"importance",
"stacked_status",
"quick_responses",
"read",
"archive",
"cancel",
"pause",
"last_updated",
"question",
"edit",
"tags",
"props",
"has_supportive_info",
"has_action",
"card_comment"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"read": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"card_comment": "[Circular]"
}
}
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"attach": {
"required": [
"count",
"remaining",
"max",
"min",
"done",
"can"
],
"type": "object",
"properties": {
"count": {
"format": "int32",
"type": "integer"
},
"remaining": {
"format": "int32",
"type": "integer"
},
"max": {
"format": "int32",
"type": "integer"
},
"min": {
"format": "int32",
"type": "integer"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"attachments": {
"type": "array",
"items": {
"required": [
"attachment_id",
"document_id",
"file_name",
"file_core",
"file_ext",
"mime_type",
"length",
"user_id"
],
"type": "object",
"properties": {
"attachment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"document_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"file_name": {
"type": "string"
},
"file_core": {
"type": "string"
},
"file_ext": {
"type": "string"
},
"mime_type": {
"type": "string"
},
"length": {
"format": "int32",
"type": "integer"
},
"user_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
}
},
"assignable": {
"type": "boolean"
},
"is_personal": {
"type": "boolean"
},
"is_visible_to_team": {
"type": "boolean"
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_PromptResponse_ |
| 201 | Created | Message Created | IServiceResponse_PromptResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Attachments - retrieve document upload restrictions
GET /api/v1/messages/upload/limits
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"required": [
"max_size",
"allowed_extensions",
"max_attachments"
],
"type": "object",
"properties": {
"max_size": {
"format": "int32",
"type": "integer"
},
"allowed_extensions": {
"type": "array",
"items": {
"type": "string"
}
},
"max_attachments": {
"format": "int32",
"type": "integer"
}
}
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_UploadLimitsResponse_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Attachments - retrieve a download ticket.
GET /api/v1/messages/{messageGuid}/download/{attachmentGuid}
A download ticket permits the holder to download a document using the document/download endpoint.
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| messageGuid | path | string(uuid) | true | The thread uuid |
| attachmentGuid | path | string(uuid) | true | The attachment uuid |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"type": "string",
"readOnly": true
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_String_ |
| 201 | Created | Message Created | IServiceResponse_String_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Threads - retrieve threads for a Connection
GET /api/v1/messages/contact/{contactUserGuid}
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| contactUserGuid | path | string(uuid) | true | The Connection's user uuid |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"required": [
"id",
"version",
"type",
"title",
"sender",
"recipient",
"participants",
"created",
"last_updated",
"importance",
"comments",
"card_comment",
"has_supportive_info",
"has_action",
"archive",
"cancel",
"is_sender",
"is_recipient",
"stacked_status",
"quick_responses",
"pause",
"question",
"edit",
"tags",
"props",
"attach",
"attachments",
"assignable",
"is_personal"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"type": {
"enum": [
"None",
"Chat",
"Task",
"Quote",
"Event"
],
"type": "string"
},
"title": {
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"recipient": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"participants": {
"type": "array",
"items": {
"required": [
"participant_guid",
"is_sender",
"is_recipient",
"is_assignee",
"display_name",
"first_name",
"last_name",
"email_address",
"avatar",
"initials"
],
"type": "object",
"properties": {
"participant_guid": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"is_assignee": {
"type": "boolean"
},
"display_name": {
"type": "string"
},
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"avatar": {
"type": "string"
},
"initials": {
"type": "string"
}
}
}
},
"created": {
"format": "date-time",
"type": "string"
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"comments": {
"type": "array",
"items": {
"required": [
"comment_id",
"text",
"type",
"created",
"sender",
"is_sender",
"is_target",
"meta"
],
"type": "object",
"properties": {
"comment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"text": {
"type": "string"
},
"type": {
"enum": [
"Chat",
"Complete",
"SuggestComplete",
"Reopen",
"Acknowledge",
"Nudge",
"Accept",
"Decline",
"SelectSlot",
"UpdateSlot",
"Cancel",
"Uncancel",
"Pause",
"Unpause",
"Quick",
"SelectNone",
"Archive",
"Unarchive",
"UpdateAmount",
"Question",
"Addition",
"Answer",
"UndecidedEvent",
"UndecidedQuote",
"UpcomingEvent",
"SeedOfMine",
"SeedOfTheirs",
"AutoUnpause",
"UnacknowledgedTask",
"InactiveTask",
"Attach",
"AttachMany",
"NewTask",
"NewChat",
"NewEvent",
"NewQuote",
"Seed",
"SeenByAssignee",
"Assigned",
"Unassign",
"TaskNotAssigned"
],
"type": "string"
},
"created": {
"format": "date-time",
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"target": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_target": {
"type": "boolean"
},
"meta": {
"required": [
"id",
"version",
"importance",
"stacked_status",
"quick_responses",
"read",
"archive",
"cancel",
"pause",
"last_updated",
"question",
"edit",
"tags",
"props",
"has_supportive_info",
"has_action",
"card_comment"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"read": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"card_comment": "[Circular]"
}
}
}
}
},
"card_comment": {
"required": [
"comment_id",
"text",
"type",
"created",
"sender",
"is_sender",
"is_target",
"meta"
],
"type": "object",
"properties": {
"comment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"text": {
"type": "string"
},
"type": {
"enum": [
"Chat",
"Complete",
"SuggestComplete",
"Reopen",
"Acknowledge",
"Nudge",
"Accept",
"Decline",
"SelectSlot",
"UpdateSlot",
"Cancel",
"Uncancel",
"Pause",
"Unpause",
"Quick",
"SelectNone",
"Archive",
"Unarchive",
"UpdateAmount",
"Question",
"Addition",
"Answer",
"UndecidedEvent",
"UndecidedQuote",
"UpcomingEvent",
"SeedOfMine",
"SeedOfTheirs",
"AutoUnpause",
"UnacknowledgedTask",
"InactiveTask",
"Attach",
"AttachMany",
"NewTask",
"NewChat",
"NewEvent",
"NewQuote",
"Seed",
"SeenByAssignee",
"Assigned",
"Unassign",
"TaskNotAssigned"
],
"type": "string"
},
"created": {
"format": "date-time",
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"target": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_target": {
"type": "boolean"
},
"meta": {
"required": [
"id",
"version",
"importance",
"stacked_status",
"quick_responses",
"read",
"archive",
"cancel",
"pause",
"last_updated",
"question",
"edit",
"tags",
"props",
"has_supportive_info",
"has_action",
"card_comment"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"read": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"card_comment": "[Circular]"
}
}
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"attach": {
"required": [
"count",
"remaining",
"max",
"min",
"done",
"can"
],
"type": "object",
"properties": {
"count": {
"format": "int32",
"type": "integer"
},
"remaining": {
"format": "int32",
"type": "integer"
},
"max": {
"format": "int32",
"type": "integer"
},
"min": {
"format": "int32",
"type": "integer"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"attachments": {
"type": "array",
"items": {
"required": [
"attachment_id",
"document_id",
"file_name",
"file_core",
"file_ext",
"mime_type",
"length",
"user_id"
],
"type": "object",
"properties": {
"attachment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"document_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"file_name": {
"type": "string"
},
"file_core": {
"type": "string"
},
"file_ext": {
"type": "string"
},
"mime_type": {
"type": "string"
},
"length": {
"format": "int32",
"type": "integer"
},
"user_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
}
},
"assignable": {
"type": "boolean"
},
"is_personal": {
"type": "boolean"
},
"is_visible_to_team": {
"type": "boolean"
}
}
},
"readOnly": true
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_PromptResponseArray_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Threads - retrieve threads for a Connection including team shared messages
GET /api/v1/messages/contact/{contactUserGuid}/team
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| contactUserGuid | path | string(uuid) | true | The Connection's user uuid |
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"required": [
"id",
"version",
"type",
"title",
"sender",
"recipient",
"participants",
"created",
"last_updated",
"importance",
"comments",
"card_comment",
"has_supportive_info",
"has_action",
"archive",
"cancel",
"is_sender",
"is_recipient",
"stacked_status",
"quick_responses",
"pause",
"question",
"edit",
"tags",
"props",
"attach",
"attachments",
"assignable",
"is_personal"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"type": {
"enum": [
"None",
"Chat",
"Task",
"Quote",
"Event"
],
"type": "string"
},
"title": {
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"recipient": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"participants": {
"type": "array",
"items": {
"required": [
"participant_guid",
"is_sender",
"is_recipient",
"is_assignee",
"display_name",
"first_name",
"last_name",
"email_address",
"avatar",
"initials"
],
"type": "object",
"properties": {
"participant_guid": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"is_assignee": {
"type": "boolean"
},
"display_name": {
"type": "string"
},
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"avatar": {
"type": "string"
},
"initials": {
"type": "string"
}
}
}
},
"created": {
"format": "date-time",
"type": "string"
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"comments": {
"type": "array",
"items": {
"required": [
"comment_id",
"text",
"type",
"created",
"sender",
"is_sender",
"is_target",
"meta"
],
"type": "object",
"properties": {
"comment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"text": {
"type": "string"
},
"type": {
"enum": [
"Chat",
"Complete",
"SuggestComplete",
"Reopen",
"Acknowledge",
"Nudge",
"Accept",
"Decline",
"SelectSlot",
"UpdateSlot",
"Cancel",
"Uncancel",
"Pause",
"Unpause",
"Quick",
"SelectNone",
"Archive",
"Unarchive",
"UpdateAmount",
"Question",
"Addition",
"Answer",
"UndecidedEvent",
"UndecidedQuote",
"UpcomingEvent",
"SeedOfMine",
"SeedOfTheirs",
"AutoUnpause",
"UnacknowledgedTask",
"InactiveTask",
"Attach",
"AttachMany",
"NewTask",
"NewChat",
"NewEvent",
"NewQuote",
"Seed",
"SeenByAssignee",
"Assigned",
"Unassign",
"TaskNotAssigned"
],
"type": "string"
},
"created": {
"format": "date-time",
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"target": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_target": {
"type": "boolean"
},
"meta": {
"required": [
"id",
"version",
"importance",
"stacked_status",
"quick_responses",
"read",
"archive",
"cancel",
"pause",
"last_updated",
"question",
"edit",
"tags",
"props",
"has_supportive_info",
"has_action",
"card_comment"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"read": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"card_comment": "[Circular]"
}
}
}
}
},
"card_comment": {
"required": [
"comment_id",
"text",
"type",
"created",
"sender",
"is_sender",
"is_target",
"meta"
],
"type": "object",
"properties": {
"comment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"text": {
"type": "string"
},
"type": {
"enum": [
"Chat",
"Complete",
"SuggestComplete",
"Reopen",
"Acknowledge",
"Nudge",
"Accept",
"Decline",
"SelectSlot",
"UpdateSlot",
"Cancel",
"Uncancel",
"Pause",
"Unpause",
"Quick",
"SelectNone",
"Archive",
"Unarchive",
"UpdateAmount",
"Question",
"Addition",
"Answer",
"UndecidedEvent",
"UndecidedQuote",
"UpcomingEvent",
"SeedOfMine",
"SeedOfTheirs",
"AutoUnpause",
"UnacknowledgedTask",
"InactiveTask",
"Attach",
"AttachMany",
"NewTask",
"NewChat",
"NewEvent",
"NewQuote",
"Seed",
"SeenByAssignee",
"Assigned",
"Unassign",
"TaskNotAssigned"
],
"type": "string"
},
"created": {
"format": "date-time",
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"target": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_target": {
"type": "boolean"
},
"meta": {
"required": [
"id",
"version",
"importance",
"stacked_status",
"quick_responses",
"read",
"archive",
"cancel",
"pause",
"last_updated",
"question",
"edit",
"tags",
"props",
"has_supportive_info",
"has_action",
"card_comment"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"read": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"card_comment": "[Circular]"
}
}
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"attach": {
"required": [
"count",
"remaining",
"max",
"min",
"done",
"can"
],
"type": "object",
"properties": {
"count": {
"format": "int32",
"type": "integer"
},
"remaining": {
"format": "int32",
"type": "integer"
},
"max": {
"format": "int32",
"type": "integer"
},
"min": {
"format": "int32",
"type": "integer"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"attachments": {
"type": "array",
"items": {
"required": [
"attachment_id",
"document_id",
"file_name",
"file_core",
"file_ext",
"mime_type",
"length",
"user_id"
],
"type": "object",
"properties": {
"attachment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"document_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"file_name": {
"type": "string"
},
"file_core": {
"type": "string"
},
"file_ext": {
"type": "string"
},
"mime_type": {
"type": "string"
},
"length": {
"format": "int32",
"type": "integer"
},
"user_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
}
},
"assignable": {
"type": "boolean"
},
"is_personal": {
"type": "boolean"
},
"is_visible_to_team": {
"type": "boolean"
}
}
},
"readOnly": true
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_PromptResponseArray_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Filter - Retrieve all to-do's for the current user
GET /api/v1/messages/filters/mytasks
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"required": [
"id",
"version",
"type",
"title",
"sender",
"recipient",
"participants",
"created",
"last_updated",
"importance",
"comments",
"card_comment",
"has_supportive_info",
"has_action",
"archive",
"cancel",
"is_sender",
"is_recipient",
"stacked_status",
"quick_responses",
"pause",
"question",
"edit",
"tags",
"props",
"attach",
"attachments",
"assignable",
"is_personal"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"type": {
"enum": [
"None",
"Chat",
"Task",
"Quote",
"Event"
],
"type": "string"
},
"title": {
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"recipient": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"participants": {
"type": "array",
"items": {
"required": [
"participant_guid",
"is_sender",
"is_recipient",
"is_assignee",
"display_name",
"first_name",
"last_name",
"email_address",
"avatar",
"initials"
],
"type": "object",
"properties": {
"participant_guid": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"is_assignee": {
"type": "boolean"
},
"display_name": {
"type": "string"
},
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"avatar": {
"type": "string"
},
"initials": {
"type": "string"
}
}
}
},
"created": {
"format": "date-time",
"type": "string"
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"comments": {
"type": "array",
"items": {
"required": [
"comment_id",
"text",
"type",
"created",
"sender",
"is_sender",
"is_target",
"meta"
],
"type": "object",
"properties": {
"comment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"text": {
"type": "string"
},
"type": {
"enum": [
"Chat",
"Complete",
"SuggestComplete",
"Reopen",
"Acknowledge",
"Nudge",
"Accept",
"Decline",
"SelectSlot",
"UpdateSlot",
"Cancel",
"Uncancel",
"Pause",
"Unpause",
"Quick",
"SelectNone",
"Archive",
"Unarchive",
"UpdateAmount",
"Question",
"Addition",
"Answer",
"UndecidedEvent",
"UndecidedQuote",
"UpcomingEvent",
"SeedOfMine",
"SeedOfTheirs",
"AutoUnpause",
"UnacknowledgedTask",
"InactiveTask",
"Attach",
"AttachMany",
"NewTask",
"NewChat",
"NewEvent",
"NewQuote",
"Seed",
"SeenByAssignee",
"Assigned",
"Unassign",
"TaskNotAssigned"
],
"type": "string"
},
"created": {
"format": "date-time",
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"target": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_target": {
"type": "boolean"
},
"meta": {
"required": [
"id",
"version",
"importance",
"stacked_status",
"quick_responses",
"read",
"archive",
"cancel",
"pause",
"last_updated",
"question",
"edit",
"tags",
"props",
"has_supportive_info",
"has_action",
"card_comment"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"read": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"card_comment": "[Circular]"
}
}
}
}
},
"card_comment": {
"required": [
"comment_id",
"text",
"type",
"created",
"sender",
"is_sender",
"is_target",
"meta"
],
"type": "object",
"properties": {
"comment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"text": {
"type": "string"
},
"type": {
"enum": [
"Chat",
"Complete",
"SuggestComplete",
"Reopen",
"Acknowledge",
"Nudge",
"Accept",
"Decline",
"SelectSlot",
"UpdateSlot",
"Cancel",
"Uncancel",
"Pause",
"Unpause",
"Quick",
"SelectNone",
"Archive",
"Unarchive",
"UpdateAmount",
"Question",
"Addition",
"Answer",
"UndecidedEvent",
"UndecidedQuote",
"UpcomingEvent",
"SeedOfMine",
"SeedOfTheirs",
"AutoUnpause",
"UnacknowledgedTask",
"InactiveTask",
"Attach",
"AttachMany",
"NewTask",
"NewChat",
"NewEvent",
"NewQuote",
"Seed",
"SeenByAssignee",
"Assigned",
"Unassign",
"TaskNotAssigned"
],
"type": "string"
},
"created": {
"format": "date-time",
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"target": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_target": {
"type": "boolean"
},
"meta": {
"required": [
"id",
"version",
"importance",
"stacked_status",
"quick_responses",
"read",
"archive",
"cancel",
"pause",
"last_updated",
"question",
"edit",
"tags",
"props",
"has_supportive_info",
"has_action",
"card_comment"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"importance": {
"enum": [
"none",
"primary",
"secondary",
"tertiary"
],
"type": "string"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"read": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"last_updated": {
"format": "date-time",
"type": "string"
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"card_comment": "[Circular]"
}
}
}
},
"has_supportive_info": {
"type": "boolean"
},
"has_action": {
"type": "boolean"
},
"archive": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"cancel": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"stacked_status": {
"required": [
"color_group"
],
"type": "object",
"properties": {
"outstanding_comments": {
"enum": [
"None",
"Single",
"Many"
],
"type": "string"
},
"transient_state": {
"enum": [
"None",
"QuestionedQuizmaster",
"QuestionedContestant",
"Paused",
"TaskSuggestedCompleteSender",
"TaskSuggestedCompleteRecipient",
"EventDeclinedSender",
"EventDeclinedRecipient",
"Nudged",
"TaskProposedSender",
"TaskProposedRecipient",
"EventActiveSender",
"EventActiveRecipient",
"QuoteActiveSender",
"QuoteActiveRecipient",
"EventProposedSender",
"EventProposedRecipient",
"QuoteProposedSender",
"QuoteProposedRecipient",
"TaskActive",
"TaskUnread",
"NoteUnread",
"NoteActive",
"TaskUnassigned"
],
"type": "string"
},
"terminal_state": {
"enum": [
"None",
"Cancelled",
"QuoteAccepted",
"QuoteRejected",
"EventAccepted",
"TaskCompleted",
"Archived"
],
"type": "string"
},
"color_group": {
"enum": [
"None",
"New",
"Active",
"Cancelled",
"Archived"
],
"type": "string"
}
}
},
"quick_responses": {
"enum": [
"None",
"EventSlotSelected",
"QuoteAccepted",
"TaskCompleted",
"EventReceived",
"QuoteReceived",
"ChatReceived",
"InactiveTask",
"TaskCreated",
"AssigneeChanged",
"TaskNotAssigned"
],
"type": "string"
},
"pause": {
"required": [
"can_undo",
"done",
"can"
],
"type": "object",
"properties": {
"can_undo": {
"type": "boolean"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"question": {
"required": [
"active",
"assigned"
],
"type": "object",
"properties": {
"active": {
"type": "boolean"
},
"assigned": {
"type": "boolean"
},
"by": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
},
"edit": {
"required": [
"done",
"can"
],
"type": "object",
"properties": {
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"props": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"attach": {
"required": [
"count",
"remaining",
"max",
"min",
"done",
"can"
],
"type": "object",
"properties": {
"count": {
"format": "int32",
"type": "integer"
},
"remaining": {
"format": "int32",
"type": "integer"
},
"max": {
"format": "int32",
"type": "integer"
},
"min": {
"format": "int32",
"type": "integer"
},
"done": {
"type": "boolean"
},
"date": {
"format": "date-time",
"type": "string"
},
"can": {
"type": "boolean"
}
}
},
"attachments": {
"type": "array",
"items": {
"required": [
"attachment_id",
"document_id",
"file_name",
"file_core",
"file_ext",
"mime_type",
"length",
"user_id"
],
"type": "object",
"properties": {
"attachment_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"document_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"file_name": {
"type": "string"
},
"file_core": {
"type": "string"
},
"file_ext": {
"type": "string"
},
"mime_type": {
"type": "string"
},
"length": {
"format": "int32",
"type": "integer"
},
"user_id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
}
}
}
},
"assignable": {
"type": "boolean"
},
"is_personal": {
"type": "boolean"
},
"is_visible_to_team": {
"type": "boolean"
}
}
},
"readOnly": true
},
"error": {
"required": [
"StatusCode",
"ErrorCode",
"Messages"
],
"type": "object",
"properties": {
"StatusCode": {
"enum": [
"Continue",
"SwitchingProtocols",
"OK",
"Created",
"Accepted",
"NonAuthoritativeInformation",
"NoContent",
"ResetContent",
"PartialContent",
"MultipleChoices",
"Ambiguous",
"MovedPermanently",
"Moved",
"Found",
"Redirect",
"SeeOther",
"RedirectMethod",
"NotModified",
"UseProxy",
"Unused",
"TemporaryRedirect",
"RedirectKeepVerb",
"BadRequest",
"Unauthorized",
"PaymentRequired",
"Forbidden",
"NotFound",
"MethodNotAllowed",
"NotAcceptable",
"ProxyAuthenticationRequired",
"RequestTimeout",
"Conflict",
"Gone",
"LengthRequired",
"PreconditionFailed",
"RequestEntityTooLarge",
"RequestUriTooLong",
"UnsupportedMediaType",
"RequestedRangeNotSatisfiable",
"ExpectationFailed",
"UpgradeRequired",
"InternalServerError",
"NotImplemented",
"BadGateway",
"ServiceUnavailable",
"GatewayTimeout",
"HttpVersionNotSupported"
],
"type": "string",
"readOnly": true
},
"ErrorCode": {
"type": "string",
"readOnly": true
},
"Messages": {
"type": "array",
"items": {
"type": "string"
},
"readOnly": true
}
}
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | IServiceResponse_PromptResponseArray_ |
| 400 | Bad Request | Bad Request | None |
| 404 | Not Found | Not Found | None |
| 500 | Internal Server Error | Internal Server Error | None |
This endpoint requires authentication.
Filter - Retrieve open (non-cancelled) price threads created by the logged-in user
GET /api/v1/messages/filters/myquotes
Example responses
200 Response
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"required": [
"id",
"version",
"type",
"title",
"sender",
"recipient",
"participants",
"created",
"last_updated",
"importance",
"comments",
"card_comment",
"has_supportive_info",
"has_action",
"archive",
"cancel",
"is_sender",
"is_recipient",
"stacked_status",
"quick_responses",
"pause",
"question",
"edit",
"tags",
"props",
"attach",
"attachments",
"assignable",
"is_personal"
],
"type": "object",
"properties": {
"id": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"version": {
"format": "int64",
"type": "integer"
},
"type": {
"enum": [
"None",
"Chat",
"Task",
"Quote",
"Event"
],
"type": "string"
},
"title": {
"type": "string"
},
"sender": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"recipient": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"participants": {
"type": "array",
"items": {
"required": [
"participant_guid",
"is_sender",
"is_recipient",
"is_assignee",
"display_name",
"first_name",
"last_name",
"email_address",
"avatar",
"initials"
],
"type": "object",
"properties": {
"participant_guid": {
"format": "uuid",
"type": "string",
"example": "00000000-0000-0000-0000-000000000000"
},
"is_sender": {
"type": "boolean"
},
"is_recipient": {
"type": "boolean"
},
"is_assignee": {
"type": "boolean"
},
"display_name": {
"type": "string"
},
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"email_address": {
"type": "string"
},
"avatar": {
"type": "string"
},
"initials": {
"type": "string"
}
}
}
},
"created": {
"format": "date-time",
"type": "string"
},
"last_updated": {
"format": "date-time",
[...]
